MCP Server for Network Management (Connectivity Tests).

A [Model Context Protocol (MCP) server](https://modelcontextprotocol.io/docs/learn/server-concepts) acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

### Server Setup


You must [enable MCP servers](https://docs.cloud.google.com/mcp/enable-disable-mcp-servers) and [set up authentication](https://docs.cloud.google.com/mcp/authenticate-mcp) before use. For more information about using Google and Google Cloud remote MCP servers, see [Google Cloud MCP servers overview](https://docs.cloud.google.com/mcp/overview).

### Server Endpoints

An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.

The Network Management API MCP server offers the following MCP toolset endpoints:

- https://networkmanagement.googleapis.com/mcp
- https://networkmanagement.googleapis.com/mcp/iam

## MCP Tools

An [MCP tool](https://modelcontextprotocol.io/legacy/concepts/tools) is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world. Toolsets are a group of tools that are useful for a specific task. Using toolsets can help your agent perform better because it decreases the number of tools available to your agent.

### Toolsets

The networkmanagement.googleapis.com MCP server has the following toolsets:

| MCP Toolsets |||
| Endpoint | Description | Tools |
|---|---|---|
| /mcp | Tools for managing Connectivity Tests. | ` - https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/mcp/tools_list/create_connectivity_test - https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/mcp/tools_list/get_connectivity_test - https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/mcp/tools_list/list_connectivity_tests - https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/mcp/tools_list/delete_connectivity_test ` |
| /mcp/iam | IAM management APIs for v1 access control policies. | ` - https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/mcp/tools_list/get_networkmanagement_connectivity_test_iam_policy - https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/mcp/tools_list/set_networkmanagement_connectivity_test_iam_policy - https://docs.cloud.google.com/network-intelligence-center/docs/reference/networkmanagement/mcp/tools_list/test_networkmanagement_connectivity_test_iam_permissions ` |

### Get MCP tool specifications


To get the MCP tool specifications for all tools in an MCP server, use the `tools/list` method. The following example demonstrates how to use `curl` to list all tools and their specifications currently available within the MCP server.

| Curl Request |
|---|
| ```bash curl --location 'https://networkmanagement.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' ``` |